var rightDepartmentId;
var rightDepartmentTitle;
var rightMemberId;

//调整部门-填充左侧要选择的部门(根据 id 获取下级部门)
function fillSelectorMain(event){
	if( $(event.target).hasClass("disable") ){
		return;
	};
	$(".yk_selector_main").empty();
	$(".yk_selector_checkbtn input").prop("checked",false);
	var parentId;
	if( $(event.target).hasClass("childDepart") ){
		$(".yk_selector_navbar").append('<div dataid="'+$(event.target).parents('li').attr('dataid')+'" class="yk_selector_navbar_item notfirst"><i class="icon icon-angle-right"></i><span>'+$(event.target).parents('li').find('span').text()+'</span></div>');
		parentId = $(event.target).parents('li').attr('dataid')
	}else if( $(event.target).hasClass("backbtn") ){
		$('.yk_selector_navbar .yk_selector_navbar_item:last').remove();
		$('.yk_selector_navbar .yk_selector_navbar_item:last').remove();
		parentId = $('.yk_selector_navbar .yk_selector_navbar_item:last').attr('dataid');
	}else{
		if( $(event.target).hasClass("yk_selector_navbar_item") ){
			$(event.target).nextAll().remove();
			parentId = $(event.target).attr("dataid")
		}else{
			$(event.target).parents(".yk_selector_navbar_item").nextAll().remove();
			parentId = $(event.target).parents(".yk_selector_navbar_item").attr("dataid")
		}
	};
	$(".yk_selector_navbar").find(".yk_selector_navbar_item").show();
	if( $(".yk_selector_navbar").find(".yk_selector_navbar_item").length>3 ){
		$(".backbtn").show();
		for( var i=0;i<$(".yk_selector_navbar").find(".yk_selector_navbar_item").length-3;i++ ){
			$(".yk_selector_navbar").find(".yk_selector_navbar_item").eq(i).hide();
		}
		i = null;
	}else{
		$(".backbtn").hide();
	}
	$.ajax({
		url:'/org/findNodeByParentId',
		type:'get',
		async:false,
		data:{
			parentId:parentId
		},
		success:function(data){
			for( var i=0;i<data.length;i++ ){
				if( data[i].isParent ){
					$(".yk_selector_main").append('<li dataid="'+data[i].id+'"><input class="leftcheck" type="checkbox"><i class="icon icon-folder-close"></i><span>'+data[i].name+'</span><em class="childDepart">子部门</em></li>');
				}else{
					$(".yk_selector_main").append('<li dataid="'+data[i].id+'"><input class="leftcheck" type="checkbox"><i class="icon icon-folder-close"></i><span>'+data[i].name+'</span></li>');
				}
			};
			i = null;
		},
		error:function(){
			new $.zui.Messager('获取部门错误:'+status, {
			    type: 'danger',
			    time:1500
			 }).show();
		}
	});
	for( var i=0;i<$(".yk_selector_main li").length;i++ ){
		for( var j=0;j<$(".yk_check_main li").length;j++ ){
			if( $(".yk_selector_main li").eq(i).attr("dataid") == $(".yk_check_main li").eq(j).find(".icon-remove-circle").attr("dataid") ){
				$(".yk_selector_main li").eq(i).find(".leftcheck").prop("checked",true);
				$(".yk_selector_main li").eq(i).find(".childDepart").addClass("disable");
				break;
			}
		};
		j = null;
	};
	i = null;
	return false;
};

//调整部门-获取根部门
function getRootDepartNode(){
	$(".yk_selector_main").empty();
	$(".yk_selector_navbar .yk_selector_navbar_item").show();
	$(".backbtn").hide();
	$(".yk_selector_navbar .notfirst").remove();
	$(".yk_selector_checkbtn input").prop("checked",false);
	$.ajax({
		url:'/org/findRootOrgTreeNode',
		type:'get',
		async:false,
		data:{},
		success:function(data){
				if( data[0].isParent ){
					$(".yk_selector_main").append('<li dataid="'+data[0].id+'"><input class="leftcheck" type="checkbox"><i class="icon icon-folder-close"></i><span>'+data[0].name+'</span><em class="childDepart">子部门</em></li>');
				}else{
					$(".yk_selector_main").append('<li dataid="'+data[0].id+'"><input class="leftcheck" type="checkbox"><i class="icon icon-folder-close"></i><span>'+data[0].name+'</span></li>');
				}
		},
		error:function(status){
			new $.zui.Messager('获取根部门错误:'+status, {
			    type: 'danger'
			 }).show();
		}
	});
	for( var i=0;i<$(".yk_selector_main li").length;i++ ){
		for( var j=0;j<$(".yk_check_main li").length;j++ ){
			if( $(".yk_selector_main li").eq(i).attr("dataid") == $(".yk_check_main li").eq(j).find(".icon-remove-circle").attr("dataid") ){
				$(".yk_selector_main li").eq(i).find(".leftcheck").prop("checked",true);
				$(".yk_selector_main li").eq(i).find(".childDepart").addClass("disable");
				break;
			}
		};
		j = null;
	};
	i = null;
};

//右侧-获取下级部门
function getLowerDepart(parentId,depart){
	$.ajax({
		//url:'/org/getListData',
		url:'/org/findNodeByParentIdNumber',
		type:'get',
		async:false,
		data:{
			parentId:parentId
		},
		success:function(data){
			/* for( var i=0;i<data.rows.length;i++ ){
				depart.push({
					name:data.rows[i].name,
					id:data.rows[i].id,
					departmentId:data.rows[i].departmentId
				})
			};
			i = null; */
			for( var i=0;i<data.length;i++ ){
				depart.push({
					name:data[i].name,
					id:data[i].id,
				})
			};
			i = null;
		},
		error:function(status){
			new $.zui.Messager('获取下级部门错误:'+status, {
			    type: 'danger'
			 }).show();
		}
	})
};

//右侧-获取部门成员
function getLowerMember(orgId,member,page,rows){
	$.ajax({
		url:'/user/do_list',
		type:'get',
		async:false,
		data:{
			orgId:orgId,
			page:page,
			rows:rows
		},
		success:function(data){
			for( var i=0;i<data.rows.length;i++ ){
				member.push({
					name:data.rows[i].name,
					id:data.rows[i].id,
					mobile:data.rows[i].mobile,
					position:data.rows[i].position==undefined?'':data.rows[i].position,
					jobNumber:data.rows[i].jobNumber==undefined?'':data.rows[i].jobNumber,
					enabled:data.rows[i].enabled
				});
			};
			i = null;
			if( data.rows.length < data.records ){
				member.push({
					loadMore:'loadMore'
				})
			}
		},
		error:function(status){
			new $.zui.Messager('获取部门成员错误:'+status, {
			    type: 'danger'
			 }).show();
		}
	})
};

$(function(){
	var checkMemberId = '';//要操作(重置密码,调整部门, 禁用等)的成员id
	var departmentData = [];
	var userData = [];
	getLowerDepart(rightDepartmentId,departmentData);
	getLowerMember(rightDepartmentId,userData,1,50);

	//密码的验证
	function passwordValid(){
		if( $("#newPassword").val()=='' ){
			$("#newPassword").addClass("error");
			$("#newPassword").next().text('请输入新密码').show();
			return false;
		}else{
			if( $("#newPassword").val().length < 6 || $("#newPassword").val().length > 16 ){
				$("#newPassword").addClass("error");
				$("#newPassword").next().text('密码长度在6-16个字符内').show();
				return false;
			}else{
				var passwordnum = /^[0-9a-zA-Z]*$/g;
				if( !passwordnum.test( $("#newPassword").val() ) ){
					$("#newPassword").addClass("error");
					$("#newPassword").next().text('密码只能输入数字或字母').show();
					return false;
				}else{
					$("#newPassword").removeClass("error");
					$("#newPassword").next().hide();
					return true;
				}
			}
		}
	};

	function operateFmatter(cellvalue, options, rowObject){
		return '<div class="yk_weekView" onclick="viewWork('+rowObject.userId+')"><i class="icon-search"></i></div>';
	};

	//填充下级部门
	function fillDepartment(){
		$("#yk_departBoard .board-list").empty();
		if( departmentData.length<=0 ){
			$("#yk_departBoard .board-list").append("<div style='color:#909399;text-align:center;padding:0.05rem;font-size:0.14rem;'>该部门无下级部门</div>")
		}else{
			for( var i=0;i<departmentData.length;i++ ){
				$("#yk_departBoard .board-list").append("<div class='board-item disable-drop' dataid='"+departmentData[i].id+"'>"+departmentData[i].name+"</div>")
			};
			i = null;
		}
	};

	//填充部门成员
	function fillUser(){
		$("#yk_userBoard .board-list").empty();
		if( userData.length<=0 ){
			$("#yk_userBoard .board-list").append("<div style='color:#909399;text-align:center;padding:0.05rem;font-size:0.14rem;'>该部门无部门成员</div>")
		}else{
			for( var j=0;j<userData.length;j++ ){
				if( userData[j].id==1 || userData[j].name=='业务超管' ){//是超级管理员或业务超管
					if( $("#resetUserPassword").length<=0 ){
						$("#yk_userBoard .board-list").append("<div class='board-item disable-drop' dataid='"+userData[j].id+"'><p style='width:5%;' class='yk_userGridCheck'></p><p>"+userData[j].name+"</p><p>"+userData[j].position+"</p><p>"+userData[j].mobile+"</p><p class='operateP'>无操作权限</p></div>");
					}else{
						$("#yk_userBoard .board-list").append("<div class='board-item disable-drop' dataid='"+userData[j].id+"'><p style='width:5%;' class='yk_userGridCheck'></p><p>"+userData[j].name+"</p><p>"+userData[j].position+"</p><p>"+userData[j].mobile+"</p><div class='operateP operateIcon noHover'><p><span>重置密码</span><i class='operateIconfont operateIcon-chongzhimima icon-resetPassword icon-key' dataid='"+userData[j].id+"'></i></p></div></div>")
					}
				}else{
					if( $("#userPermissionDiv i").length<=0 ){
						$("#yk_userBoard .board-list").append("<div class='board-item disable-drop' dataid='"+userData[j].id+"'><p style='width:5%;' class='yk_userGridCheck'><input type='checkbox' gridid='"+userData[j].id+"'></p><p>"+userData[j].name+"</p><p>"+userData[j].position+"</p><p>"+userData[j].mobile+"</p><p class='operateP'>无操作权限</p></div>");
					}else{
						if( userData[j].enabled ){
							$("#yk_userBoard .board-list").append("<div class='board-item disable-drop' dataid='"+userData[j].id+"'><p style='width:5%;' class='yk_userGridCheck'><input type='checkbox' gridid='"+userData[j].id+"'></p><p>"+userData[j].name+"</p><p>"+userData[j].position+"</p><p>"+userData[j].mobile+"</p>"+$("#userPermissionDiv").html()+"</div>")
						}else{
							$("#yk_userBoard .board-list").append("<div class='board-item disable-drop' dataid='"+userData[j].id+"'><p style='width:5%;' class='yk_userGridCheck'><input type='checkbox' gridid='"+userData[j].id+"'></p><p>"+userData[j].name+"</p><p>"+userData[j].position+"</p><p>"+userData[j].mobile+"</p>"+$("#userPermissionDivEnable").html()+"</div>")
						}
					}
				}
				if( j == userData.length-1 ){
					if( userData[j].loadMore=='loadMore' ){
						$("#yk_userBoard .board-list").find('.board-item:last').remove();
						$("#yk_userBoard .board-list").append("<div class='loadMore'>点击加载更多</div>")
					}
				}
			};
			j = null;
		}
	};

	fillDepartment();
	fillUser();

	//点击加载更多成员
	$("#yk_userBoard .board-list").on("click",".loadMore",function(){
		userData = [];
		getLowerMember(rightDepartmentId,userData,1,(Math.ceil($("#yk_userBoard .board-item").length/50)+1)*50);
		fillUser();
	});

	//点击下级部门进入对应部门
	$("#yk_departBoard").on("click",'.board-item.disable-drop',function(){
		var $that = $(this);
		rightDepartmentId = $(this).attr('dataid');
		rightDepartmentTitle = $(this).text().split("（")[0];
		$(".yk_orgContent").load('/org/departmentContent',function(){
			backTop('.yk_orgContent');
			$(".yk_orgContentTitle span").text(rightDepartmentTitle);
			if( $that.attr("dataid")=='1' ){//是'长安银科'
				$(".yk_updateDepartment").remove();
				$(".yk_syncDepartment").remove();
			}
		});
		$('#orgTree li span').removeClass("check");
		for( var i=0;i<$('#orgTree li').length;i++ ){
			if( $('#orgTree li').eq(i).attr("data-id")==$(this).attr("dataid") ){
				$('#orgTree li').eq(i).find("span").addClass("check");
			}else{
				$('#orgTree li').eq(i).find("span").removeClass("check");
			}
		};
		i = null;
	});

	//编辑部门
	$(".yk_updateDepartment").click(function(){
		$("button.updateDepartment,button.deleteDepartment").removeClass('loadingCircle');
		$("#updateDepartName").removeClass('error').val($(".yk_orgContentTitle span").text()).next().hide()
		$("#myModal-updateDepartment").modal('show');
	});
	//同步数据
	$(".yk_syncDepartment").click(function(){
		$.ajax({
			url:'/org/sync?orgId='+rightDepartmentId,
			type:'get',
			data:{

			},
			success:function(data){
				if( data.success ){
					new $.zui.Messager('同步成功', {
						type: 'success',
						time:1500
					}).show();
					refreshDepartTree(rightDepartmentId)
				}else{
					new $.zui.Messager('同步失败:'+data.msg, {
						type: 'danger'
					}).show();
				};
			},
			error:function(status){
				new $.zui.Messager('同步错误:'+status, {
					type: 'danger'
				}).show();
			}
		})
	});


	$("#updateDepartName").keyup({'chose':'#updateDepartName','name':'部门'},childDepartValid);
	$("#updateDepartName").change({'chose':'#updateDepartName','name':'部门'},childDepartValid);

	//编辑部门确认保存
	$(".updateDepartment").click(function(){
		if( !childDepartValid({'data':{'chose':'#updateDepartName','name':'部门'}}) ){
			return
		};
		$("button.updateDepartment,button.deleteDepartment").addClass('loadingCircle');
		$.ajax({
			url:'org/do_update',
			type:'post',
			data:{
				"id":rightDepartmentId,
				"name":$("#updateDepartName").val()
			},
			success:function(data){
				if( data.success ){
					new $.zui.Messager('编辑部门成功', {
					    type: 'success',
					    time:1500
					 }).show();
					$('.yk_orgContentTitle span').text($("#updateDepartName").val())
					refreshDepartTree(rightDepartmentId)
				}else{
					new $.zui.Messager('编辑部门失败:'+data.msg, {
					    type: 'danger'
					 }).show();
				};
				$("button.updateDepartment,button.deleteDepartment").removeClass('loadingCircle');
				$("#myModal-updateDepartment").modal('hide');
			},
			error:function(status){
				new $.zui.Messager('编辑部门错误:'+status, {
				    type: 'danger'
				 }).show();
				$("button.updateDepartment,button.deleteDepartment").removeClass('loadingCircle');
				$("#myModal-updateDepartment").modal('hide');
			}
		})
	});

	//编辑部门-删除
	$(".deleteDepartment").click(function(){
		if( $("#yk_departBoard .board-list").find(".board-item").length>0 ){
			new $.zui.Messager('请先删除该部门的子部门', {
			    type: 'danger'
			 }).show();
			return;
		};
		if( $("#yk_userBoard .board-list").find(".board-item").length>0 ){
			new $.zui.Messager('请先删除该部门下的成员', {
			    type: 'danger'
			 }).show();
			return;
		};
		$("button.updateDepartment,button.deleteDepartment").addClass('loadingCircle');
		$.ajax({
			url:'org/do_delete',
			type:'post',
			async:false,
			data:{
				"id":rightDepartmentId
			},
			success:function(data){
				if( data.success ){
					new $.zui.Messager('删除部门成功', {
					    type: 'success',
					    time:1500
					 }).show();
					 $("#myModal-updateDepartment").modal('hide');
					 rightDepartmentId = 1;
					 rightDepartmentTitle = $("#orgTree span:first").text().split('（')[0];
					 refreshDepartTree(rightDepartmentId);
					 $(".yk_orgContent").load('/org/departmentContent',function(){
						$(".yk_orgContentTitle span").text(rightDepartmentTitle);
						$(".yk_updateDepartment,.modal-backdrop").remove();
				      });
				}else{
					new $.zui.Messager('删除部门失败:'+data.msg, {
					    type: 'danger'
					 }).show();
				};
				$("button.updateDepartment,button.deleteDepartment").removeClass('loadingCircle');
				//$("#myModal-updateDepartment").modal('hide');
			},
			error:function(status){
				new $.zui.Messager('删除部门错误:'+status, {
				    type: 'danger'
				 }).show();
				$("button.updateDepartment,button.deleteDepartment").removeClass('loadingCircle');
				$("#myModal-updateDepartment").modal('hide');
			}
		})
	});

	//添加子部门
	$(".yk_addDepartment").click(function(){
		$(".addChildDepartment").removeClass("loadingCircle");
		$("#myModal-addChildDepartment").modal('show');
		$("#childDepartName").removeClass('error').val('').next().hide()
	});

	$("#childDepartName").keyup({'chose':'#childDepartName','name':'部门'},childDepartValid);
	$("#childDepartName").change({'chose':'#childDepartName','name':'部门'},childDepartValid);

	//确认添加子部门
	$(".addChildDepartment").bind("click",function(){
		if( !childDepartValid({'data':{'chose':'#childDepartName','name':'部门'}}) ){
			return
		};
		$(this).addClass("loadingCircle");
		$.ajax({
			url:'org/do_add',
			type:'post',
			data:{
				"parent.id":rightDepartmentId,
				"name":$("#childDepartName").val()
			},
			success:function(data){
				if( data.success ){
					new $.zui.Messager('添加子部门成功', {
					    type: 'success'
					 }).show();
					departmentData = [];
					getLowerDepart(rightDepartmentId,departmentData);
					fillDepartment();
					refreshDepartTree(rightDepartmentId);
				}else{
					new $.zui.Messager('添加子部门失败:'+data.msg, {
					    type: 'danger'
					 }).show();
				};
				$("#myModal-addChildDepartment").modal('hide');
			},
			error:function(status){
				new $.zui.Messager('添加子部门错误:'+status, {
				    type: 'danger'
				 }).show();
				$("#myModal-addChildDepartment").modal('hide');
			}
		})
	});

	//确认重置密码
	$("#newPassword").keyup(passwordValid);
	$("#newPassword").change(passwordValid);
	$(".resetPasswordSave").click(function(){
		if( !passwordValid() ){
			return
		};
		$.ajax({
			url:'/user/do_resetpassword',
			type:'post',
			data:{
				'id':checkMemberId,
				'password':$("#newPassword").val()
			},
			success:function(data){
				if( data.success ){
					new $.zui.Messager('重置密码成功', {
					    type: 'success'
					 }).show();
				}else{
					new $.zui.Messager('重置密码失败:'+data.msg, {
					    type: 'danger'
					 }).show();
				}
			},
			error:function(status){
				new $.zui.Messager('重置密码时发生错误:'+status, {
				    type: 'danger'
				 }).show();
			}
		})
		$("#myModal-resetPassword").modal("hide")
	});

	//撤销调整排序操作
	var cancleDrag = function(){
		$('.yk_dragTip:visible').parents(".yk_orgContentDepart").find(".board-item").addClass("disable-drop");
		$('.yk_dragTip:visible').parents(".yk_orgContentDepart").find(".yk_orgDepartBtnbox").css("margin-bottom","0.08rem");
		$('.yk_dragTip:visible').parents(".yk_orgContentDepart").find(".yk_userGridCheck,.checkAll").show();
		$('.yk_dragTip:visible').parents(".yk_orgContentDepart").find(".yk_dragTip").slideUp();
		$('.yk_dragTip:visible').parents(".yk_orgContentDepart").find(".board-list").empty();
		if( $('.yk_dragTip:visible').parents(".yk_orgContentDepart").find(".boards").attr('id')=="yk_departBoard" ){
			fillDepartment();
		}else{
			fillUser();
		};
		$('.yk_adjustMaskZindex').removeClass("yk_adjustMaskZindex");
		$(".yk_adjustMask").hide();
		$(".operateP").show();
		$(".loadMore").show();
	};

	//调整排序按钮
	$(".yk_adjustmentSort").click(function(){
		$(".yk_adjustMask").show();
		$(".loadMore").hide();
		$(this).parents(".yk_orgContentDepart").find(".yk_dragTip,.boards").addClass("yk_adjustMaskZindex");
		if( $(this).hasClass("user") ){
			$(".operateP").hide();
		};
		if( $(this).parents(".yk_orgContentDepart").find(".board-item").hasClass("disable-drop") ){
			$(this).parents(".yk_orgContentDepart").find(".board-item").removeClass("disable-drop");
			$(this).parents(".yk_orgContentDepart").find(".yk_orgDepartBtnbox").css("margin-bottom","0px");
			$(this).parents(".yk_orgContentDepart").find(".yk_userGridCheck,.checkAll").hide();
			$(this).parents(".yk_orgContentDepart").find(".yk_dragTip").slideDown();
			//初始化拖拽排序
			$(this).parents(".yk_orgContentDepart").find(".boards").removeData("zui.boards")
			$(this).parents(".yk_orgContentDepart").find(".boards").boards({
			    drop: function(e){
			        //$.zui.messager.show(e.element.text() + " 拖放成功 ");
			    }
			});
		}
	});

	//撤销调整排序
	$(".yk_adjustMask").unbind('click').click(cancleDrag);
	$(".yk_cancleDrag").click(cancleDrag);

	//保存调整顺序
	$(".yk_saveDrag").click(function(){
		$(this).parents(".yk_orgContentDepart").find(".board-item").addClass("disable-drop");
		$(this).parents(".yk_orgContentDepart").find(".yk_orgDepartBtnbox").css("margin-bottom","0.08rem");
		$(this).parents(".yk_orgContentDepart").find(".yk_dragTip").slideUp();
		var adjustPostData = {};
		$('.yk_adjustMaskZindex').removeClass("yk_adjustMaskZindex");
		$(".yk_adjustMask").hide();
		$(".operateP").show();
		$(".loadMore").show();
		//保存成员排序
		if( $(this).hasClass("user") ){
			$(this).parents(".yk_orgContentDepart").find(".yk_userGridCheck,.checkAll").show();
			for( var i=0;i<$("#yk_userBoard .board-item:not(.board-item-empty,.board-item-shadow)").length;i++ ){
				adjustPostData['list['+i+'].userId'] = $("#yk_userBoard .board-item:not(.board-item-empty,.board-item-shadow)").eq(i).attr("dataid");
				adjustPostData['list['+i+'].id'] = rightDepartmentId;
				adjustPostData['list['+i+'].gradation'] = i;
			};
			i = null;
			$.ajax({
				url:'/user/do_adjustOrder',
				type:'post',
				data:adjustPostData,
				success:function(data){
					if( data.success ){
						new $.zui.Messager('调整成员排序成功', {
						    type: 'success'
						 }).show();
						userData = [];
						if( $("#yk_userBoard .board-item").length<=50 ){
							getLowerMember(rightDepartmentId,userData,1,50);
						}else{
							getLowerMember(rightDepartmentId,userData,1,(Math.ceil($("#yk_userBoard .board-item").length/50)+1)*50);
						};
						fillUser();
					}else{
						new $.zui.Messager('调整成员排序失败:'+data.msg, {
						    type: 'danger'
						 }).show();
					}
				},
				error:function(status){
					new $.zui.Messager('调整成员排序时发生错误:'+status, {
					    type: 'danger'
					 }).show();
				}
			})
		}else{//保存部门排序
			//adjustPostData.parentId = rightDepartmentId;//不需要父部门id了
			for( var i=0;i<$("#yk_departBoard .board-item:not(.board-item-empty,.board-item-shadow)").length;i++ ){
				adjustPostData['list['+i+'].id'] = $("#yk_departBoard .board-item:not(.board-item-empty,.board-item-shadow)").eq(i).attr("dataid");
				adjustPostData['list['+i+'].gradation'] = i;
			};
			i = null;
			$.ajax({
				url:'/org/do_adjustOrder',
				type:'post',
				data:adjustPostData,
				success:function(data){
					if( data.success ){
						new $.zui.Messager('调整部门排序成功', {
						    type: 'success'
						 }).show();
						departmentData = [];
						getLowerDepart(rightDepartmentId,departmentData);
						refreshDepartTree(rightDepartmentId);
					}else{
						new $.zui.Messager('调整部门排序失败:'+data.msg, {
						    type: 'danger'
						 }).show();
					}
				},
				error:function(status){
					new $.zui.Messager('调整部门排序时发生错误:'+status, {
					    type: 'danger'
					 }).show();
				}
			})
		};
	});

	//员工表格选中
	$(".yk_userGridTitle").on('click','.checkAll',function(){
		if( $(this).is(":checked") ){
			$(this).parents(".boards").find(".yk_userGridCheck input").prop("checked",true)
		}else{
			$(this).parents(".boards").find(".yk_userGridCheck input").prop("checked",false)
		}
	});

	//批量禁用启用
	function disabledEnabledAll(event){
		var tipMessage = '请选择要禁用的成员';
		var postBatchTip = '批量禁用';
		var postBatchEnabled = false;
		if( $(event.target).hasClass("yk_batchEnabled") ){
			tipMessage = '请选择要启用的成员';
			postBatchEnabled = true;
			postBatchTip = '批量启用';
		};
		if( $(".yk_userGridCheck input:checked").length<=0 ){
			new $.zui.Messager(tipMessage, {
			    type: 'danger'
			 }).show();
			return;
		};
		var postEnabledIds = '';
		for( var i=0;i<$(".yk_userGridCheck input:checked").length;i++ ){
			postEnabledIds += $(".yk_userGridCheck input:checked").eq(i).parents('.board-item').attr("dataid")+','
		};
		i = null;
		postEnabledIds = postEnabledIds.substring(0,postEnabledIds.length-1);
		$.ajax({
			url:'/user/do_modifyEnabled',
			type:'post',
			data:{
				ids:postEnabledIds,
				enabled:postBatchEnabled
			},
			success:function(data){
				if( data.success ){
					new $.zui.Messager(postBatchTip+'成功', {
					    type: 'success'
					 }).show();
					//
					$(".yk_userGridTitle .checkAll").prop("checked",false);
					userData = [];
					if( $("#yk_userBoard .board-item").length<=50 ){
						getLowerMember(rightDepartmentId,userData,1,50);
					}else{
						getLowerMember(rightDepartmentId,userData,1,(Math.ceil($("#yk_userBoard .board-item").length/50)+1)*50);
					}
					fillUser();
				}else{
					new $.zui.Messager(postBatchTip+'失败:'+ data.msg, {
					    type: 'danger'
					 }).show();
				}
			},
			error:function(status){
				new $.zui.Messager(postBatchTip+'时发生错误:'+status, {
				    type: 'danger'
				 }).show();
			}
		})
	};
	$(".yk_batchDisabled").bind('click',disabledEnabledAll);
	$(".yk_batchEnabled").bind('click',disabledEnabledAll);

	//调整部门-点击子部门
	$('.yk_selector_main').on("click",'li em',fillSelectorMain);

	//调整部门-选择部门的导航头点击
	$(".yk_selector_navbar").on("click",'.yk_selector_navbar_item.notfirst:not(:last)',fillSelectorMain);
	$(".yk_selector_navbar").on("click",'.yk_selector_navbar_item:not(.notfirst)',getRootDepartNode);

	//调整-选择部门的导航头'返回箭头'效果
	$(".yk_selector_navbar").on("click",'.backbtn',fillSelectorMain);

	//调整-选择(选中)部门
	$(".yk_selector_main").on("click","li",function(e){
		if( $(e.target).hasClass("leftcheck") ){
			if( $(e.target).is(":checked") ){
				$(this).find(".childDepart").addClass("disable");
				$(".yk_check_main").append('<li class="yk_check_list_item yk_check_list_item_'+$(this).attr("dataid")+'"><i class="icon icon-folder-close"></i><span>'+$(this).find("span").text()+'</span><i dataid="'+$(this).attr("dataid")+'" class="icon icon-remove-circle"></i></li>')
			}else{
				 $(this).find(".childDepart").removeClass("disable");
				 $(".yk_check_main").find(".yk_check_list_item_"+$(this).attr("dataid")).remove();
			}
		}else if( $(e.target).hasClass("childDepart") ){
			return;
		}else{
			if( $(this).find("input").is(":checked") ){
				 $(this).find("input").prop("checked",false);
				 $(this).find(".childDepart").removeClass("disable");
				 $(".yk_check_main").find(".yk_check_list_item_"+$(this).attr("dataid")).remove();
			}else{
				$(this).find("input").prop("checked",true);
				$(this).find(".childDepart").addClass("disable");
				$(".yk_check_main").append('<li class="yk_check_list_item yk_check_list_item_'+$(this).attr("dataid")+'"><i class="icon icon-folder-close"></i><span>'+$(this).find("span").text()+'</span><i dataid="'+$(this).attr("dataid")+'" class="icon icon-remove-circle"></i></li>')
			}
		}
	});

	//调整部门-全选
	$(".yk_selector_checkbtn input").click(function(){
		if( $(this).is(":checked") ){
			$(".yk_selector_main li input").prop("checked",true);
			$(".yk_selector_main li .childDepart").addClass("disable");
			for( var i=0;i<$(".yk_selector_main li").length;i++ ){
				if( $(".yk_check_main").find(".yk_check_list_item_"+$(".yk_selector_main li").eq(i).attr("dataid")).length<=0 ){
					$(".yk_check_main").append('<li class="yk_check_list_item yk_check_list_item_'+$(".yk_selector_main li").eq(i).attr("dataid")+'"><i class="icon icon-folder-close"></i><span>'+$(".yk_selector_main li").eq(i).find("span").text()+'</span><i dataid="'+$(".yk_selector_main li").eq(i).attr("dataid")+'" class="icon icon-remove-circle"></i></li>')
				}
			};
			i = null;
		}else{
			$(".yk_selector_main li input").prop("checked",false);
			$(".yk_selector_main li .childDepart").removeClass("disable");
			for( var i=0;i<$(".yk_selector_main li").length;i++ ){
				$(".yk_check_main").find(".yk_check_list_item_"+$(".yk_selector_main li").eq(i).attr("dataid")).remove();
			};
			i = null;
		}
	});
	$("#yk_userBoard").on("click",".yk_userGridCheck",function(event){
		event.stopPropagation();
	});

	//调整部门-右侧叉号取消选中
	$(".yk_check_main").on("click",".icon-remove-circle",function(){
		for( var i=0;i<$(".yk_selector_main li").length;i++ ){
			if( $(".yk_selector_main li").eq(i).attr("dataid") == $(this).attr("dataid") ){
				$(".yk_selector_main li").eq(i).find(".leftcheck").prop("checked",false);
				$(".yk_selector_main li").eq(i).find(".childDepart").removeClass("disable");
				break;
			}
		};
		i = null;
		$(this).parents(".yk_check_list_item").remove();

	});

	//调整部门-确认保存
	$(".adjustDepartmentSave").click(function(){
		if( $(".yk_check_main").find(".yk_check_list_item").length<=0 ){
			new $.zui.Messager('请至少选择一个部门', {
			    type: 'danger'
			 }).show();
		}else{
			var adjustDepartmentData = {};
			adjustDepartmentData.id = checkMemberId;
			for( var i=0;i<$(".yk_check_main").find(".yk_check_list_item").length;i++ ){
				adjustDepartmentData['orgIdList['+i+']'] = $(".yk_check_main").find(".yk_check_list_item .icon-remove-circle").eq(i).attr('dataid');
			};
			i = null;
			$.ajax({
				url:'/user/do_adjustDepartment',
				type:'post',
				data:adjustDepartmentData,
				success:function(data){
					if( data.success ){
						new $.zui.Messager('调整部门成功', {
						    type: 'success'
						}).show();
						//刷新左侧组织树和右侧成员列表, 也需要刷新右侧下级部门列表
						refreshDepartTree(rightDepartmentId);
						userData = [];
						if( $("#yk_userBoard .board-item").length<=50 ){
							getLowerMember(rightDepartmentId,userData,1,50);
						}else{
							getLowerMember(rightDepartmentId,userData,1,(Math.ceil($("#yk_userBoard .board-item").length/50)+1)*50);
						}
						fillUser();
						// 刷新右侧下级部门列表
						departmentData = [];
						getLowerDepart(rightDepartmentId,departmentData);
						fillDepartment();
					}else{
						new $.zui.Messager('调整部门失败:'+data.msg, {
						    type: 'danger'
						 }).show();
					}
				},
				error:function(){
					new $.zui.Messager('调整部门发生错误:'+status, {
					    type: 'danger'
					 }).show();
				}
			});
			$("#myModal-adjustDepartment").modal("hide");
		}
	});

	//添加成员
	$(".yk_addUser").click(function(){
		$(".yk_orgContent").load('/org/addMember',function(){
			backTop('.yk_orgContent');
		})
	});

	//查看成员
	$("#yk_userBoard").on("click",".board-item.disable-drop",function(){
		rightMemberId = $(this).attr("dataid");
		$(".yk_orgContent").load('/org/viewMember',function(){
			backTop('.yk_orgContent');
		});
	});

	//调整部门按钮
	$("#yk_userBoard").on("click",".board-item .icon-adjustDepartment",function(){
		checkMemberId = $(this).parents(".board-item").attr("dataid");
		$.ajax({
			url:'user/do_get',
			type:'get',
			async:false,
			data:{
				id:checkMemberId
			},
			success:function(data){
				if( data.success ){
					$(".yk_check_main").empty();
					for( var i=0;i<data.data.relativeName.split("、").length-1;i++ ){
						$(".yk_check_main").append('<li class="yk_check_list_item yk_check_list_item_'+data.data.orgIdList[i]+'"><i class="icon icon-folder-close"></i><span>'+data.data.relativeName.split("、")[i].split('-')[data.data.relativeName.split("、")[i].split('-').length-1]+'</span><i dataid="'+data.data.orgIdList[i]+'" class="icon icon-remove-circle"></i></li>');
					};
					i = null;
				}else{
					new $.zui.Messager('获取成员所在部门失败'+data.msg, {
					    type: 'danger'
					 }).show();
				}
			},
			error:function(status){
				new $.zui.Messager('获取成员所在部门时发生错误'+status, {
				    type: 'danger'
				 }).show();
			}
		})
		$("#myModal-adjustDepartment").modal("show");
		getRootDepartNode();
		return false;
	});

	//重置密码按钮
	$("#yk_userBoard").on("click",".board-item .icon-resetPassword",function(){
		checkMemberId = $(this).parents(".board-item").attr("dataid");
		$("#newPassword").removeClass('error').val('').next().hide();
		$("#myModal-resetPassword").modal("show");
		return false;
	});

	//禁用启用按钮
	$("#yk_userBoard").on("click",".board-item .icon-disabledEnable",function(){
		var postEnabled = true;
		var tipEnabled = '启用';
		if( $(this).attr("enabled")=='true' ){//当前是启用状态,要禁用
			postEnabled = false;
			tipEnabled = '禁用';
		}else{//当前是禁用状态,要启用
			postEnabled = true;
			tipEnabled = '启用';
		};
		$.ajax({
			url:'/user/do_modifyEnabled',
			type:'post',
			data:{
				ids:$(this).parents(".board-item").attr("dataid"),
				enabled:postEnabled
			},
			success:function(data){
				if( data.success ){
					new $.zui.Messager(tipEnabled+'成功', {
					    type: 'success'
					}).show();
					userData = [];
					if( $("#yk_userBoard .board-item").length<=50 ){
						getLowerMember(rightDepartmentId,userData,1,50);
					}else{
						getLowerMember(rightDepartmentId,userData,1,(Math.ceil($("#yk_userBoard .board-item").length/50)+1)*50);
					}
					fillUser();
				}else{
					new $.zui.Messager(tipEnabled+'失败:'+ data.msg, {
					    type: 'danger'
					 }).show();
				}
			},
			error:function(status){
				new $.zui.Messager(tipEnabled+'时发生错误:'+status, {
				    type: 'danger'
				 }).show();
			}
		});
		return false;
	});
})
